<h2 id="how_to_build">how to build</h2>
<p>See how to build <a href="https://code.google.com/p/jnlua/wiki/BuildingTheNativeLibrary">Jnlua</a><br />
Lua binaries can be found on <a href="http://luabinaries.sourceforge.net/">Lua binaries</a> or in your linux package repository.</p>
<p>To check your binary :<br />
- compare it to the current version (table below), size and dependencies should be almost the same.<br />
- check the SONAME is correct. (same one in lua and jnlua binaries)<br />
Version history glibc to know about dependencies restriction : <a href="http://en.wikipedia.org/wiki/GNU_C_Library#Version_history">http://en.wikipedia.org/wiki/GNU_C_Library#Version_history</a></p>
<p>To understand glibc dependencies : <a href="http://stackoverflow.com/questions/4032373/linking-against-an-old-version-of-libc-to-provide-greater-application-coverage">http://stackoverflow.com/questions/4032373/linking-against-an-old-version-of-libc-to-provide-greater-application-coverage</a></p>
<p>Maybe we should try to build jnlua statically but this could make some problems when C module is required :/</p>
<h2 id="current_binaries_status">Current binaries status</h2>
<table>
<tbody>
<tr class="odd">
<td></td>
<td><p>Linux 32 Lua 51</p></td>
<td><p>Linux 64 Lua 51</p></td>
<td><p>Linux 32 Lua 52</p></td>
<td><p>Linux 64 Lua 52</p></td>
</tr>
<tr class="even">
<td><p>binaries size (bytes)<br />
jnlua</p></td>
<td><p>61,176</p></td>
<td><p>68,286</p></td>
<td><p>69,194</p></td>
<td><p>72,580</p></td>
</tr>
<tr class="odd">
<td><p>binaries size (bytes)<br />
lua</p></td>
<td><p>153,668</p></td>
<td><p>179,760</p></td>
<td><p>202,952</p></td>
<td><p>204,488</p></td>
</tr>
<tr class="even">
<td><p>ldd jnlua</p></td>
<td><div class="sourceCode" id="cb1"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb1-1"><a href="#cb1-1" aria-hidden="true" tabindex="-1"></a><span class="ex">linux-gate.so.1</span> =<span class="op">&gt;</span>  <span class="er">(</span><span class="ex">0xb77c5000</span><span class="kw">)</span></span>
<span id="cb1-2"><a href="#cb1-2" aria-hidden="true" tabindex="-1"></a><span class="ex">libc.so.6</span> =<span class="op">&gt;</span> /lib/i386-linux-gnu/libc.so.6 <span class="er">(</span><span class="ex">0xb75f1000</span><span class="kw">)</span></span>
<span id="cb1-3"><a href="#cb1-3" aria-hidden="true" tabindex="-1"></a><span class="ex">liblua5.1.so.0</span> =<span class="op">&gt;</span> /usr/lib/i386-linux-gnu/liblua5.1.so.0 <span class="er">(</span><span class="ex">0xb75c4000</span><span class="kw">)</span></span>
<span id="cb1-4"><a href="#cb1-4" aria-hidden="true" tabindex="-1"></a><span class="ex">/lib/ld-linux.so.2</span> <span class="er">(</span><span class="ex">0xb77c6000</span><span class="kw">)</span></span>
<span id="cb1-5"><a href="#cb1-5" aria-hidden="true" tabindex="-1"></a><span class="ex">libm.so.6</span> =<span class="op">&gt;</span> /lib/i386-linux-gnu/libm.so.6 <span class="er">(</span><span class="ex">0xb7597000</span><span class="kw">)</span></span>
<span id="cb1-6"><a href="#cb1-6" aria-hidden="true" tabindex="-1"></a><span class="ex">libdl.so.2</span> =<span class="op">&gt;</span> /lib/i386-linux-gnu/libdl.so.2 <span class="er">(</span><span class="ex">0xb7592000</span><span class="kw">)</span></span></code></pre></div></td>
<td><div class="sourceCode" id="cb2"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb2-1"><a href="#cb2-1" aria-hidden="true" tabindex="-1"></a><span class="ex">linux-vdso.so.1</span> =<span class="op">&gt;</span>  <span class="er">(</span><span class="ex">0x00007fffdebca000</span><span class="kw">)</span></span>
<span id="cb2-2"><a href="#cb2-2" aria-hidden="true" tabindex="-1"></a><span class="ex">libc.so.6</span> =<span class="op">&gt;</span> /lib/x86_64-linux-gnu/libc.so.6 <span class="er">(</span><span class="ex">0x00007ff8a5022000</span><span class="kw">)</span></span>
<span id="cb2-3"><a href="#cb2-3" aria-hidden="true" tabindex="-1"></a><span class="ex">liblua5.1.so.0</span> =<span class="op">&gt;</span> /usr/lib/x86_64-linux-gnu/liblua5.1.so.0 <span class="er">(</span><span class="ex">0x00007ff8a4df5000</span><span class="kw">)</span></span>
<span id="cb2-4"><a href="#cb2-4" aria-hidden="true" tabindex="-1"></a><span class="ex">/lib64/ld-linux-x86-64.so.2</span> <span class="er">(</span><span class="ex">0x00007ff8a561c000</span><span class="kw">)</span></span>
<span id="cb2-5"><a href="#cb2-5" aria-hidden="true" tabindex="-1"></a><span class="ex">libm.so.6</span> =<span class="op">&gt;</span> /lib/x86_64-linux-gnu/libm.so.6 <span class="er">(</span><span class="ex">0x00007ff8a4af0000</span><span class="kw">)</span></span>
<span id="cb2-6"><a href="#cb2-6" aria-hidden="true" tabindex="-1"></a><span class="ex">libdl.so.2</span> =<span class="op">&gt;</span> /lib/x86_64-linux-gnu/libdl.so.2 <span class="er">(</span><span class="ex">0x00007ff8a48ec000</span><span class="kw">)</span></span></code></pre></div></td>
<td><div class="sourceCode" id="cb3"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb3-1"><a href="#cb3-1" aria-hidden="true" tabindex="-1"></a><span class="ex">linux-gate.so.1</span> =<span class="op">&gt;</span>  <span class="er">(</span><span class="ex">0xb77ba000</span><span class="kw">)</span></span>
<span id="cb3-2"><a href="#cb3-2" aria-hidden="true" tabindex="-1"></a><span class="ex">libc.so.6</span> =<span class="op">&gt;</span> /lib/i386-linux-gnu/libc.so.6 <span class="er">(</span><span class="ex">0xb75e5000</span><span class="kw">)</span></span>
<span id="cb3-3"><a href="#cb3-3" aria-hidden="true" tabindex="-1"></a><span class="ex">/lib/ld-linux.so.2</span> <span class="er">(</span><span class="ex">0xb77bb000</span><span class="kw">)</span></span>
<span id="cb3-4"><a href="#cb3-4" aria-hidden="true" tabindex="-1"></a><span class="ex">liblua5.2.so.0</span> =<span class="op">&gt;</span> /usr/lib/i386-linux-gnu/liblua5.2.so.0 <span class="er">(</span><span class="ex">0xb75b3000</span><span class="kw">)</span></span>
<span id="cb3-5"><a href="#cb3-5" aria-hidden="true" tabindex="-1"></a><span class="ex">libm.so.6</span> =<span class="op">&gt;</span> /lib/i386-linux-gnu/libm.so.6 <span class="er">(</span><span class="ex">0xb7586000</span><span class="kw">)</span></span>
<span id="cb3-6"><a href="#cb3-6" aria-hidden="true" tabindex="-1"></a><span class="ex">libdl.so.2</span> =<span class="op">&gt;</span> /lib/i386-linux-gnu/libdl.so.2 <span class="er">(</span><span class="ex">0xb7581000</span><span class="kw">)</span></span></code></pre></div></td>
<td><div class="sourceCode" id="cb4"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb4-1"><a href="#cb4-1" aria-hidden="true" tabindex="-1"></a><span class="ex">linux-vdso.so.1</span> =<span class="op">&gt;</span>  <span class="er">(</span><span class="ex">0x00007fff6f9fe000</span><span class="kw">)</span></span>
<span id="cb4-2"><a href="#cb4-2" aria-hidden="true" tabindex="-1"></a><span class="ex">libc.so.6</span> =<span class="op">&gt;</span> /lib/x86_64-linux-gnu/libc.so.6 <span class="er">(</span><span class="ex">0x00007fbd404b8000</span><span class="kw">)</span></span>
<span id="cb4-3"><a href="#cb4-3" aria-hidden="true" tabindex="-1"></a><span class="ex">/lib64/ld-linux-x86-64.so.2</span> <span class="er">(</span><span class="ex">0x00007fbd40ab2000</span><span class="kw">)</span></span>
<span id="cb4-4"><a href="#cb4-4" aria-hidden="true" tabindex="-1"></a><span class="ex">liblua5.2.so.0</span> =<span class="op">&gt;</span> /usr/lib/x86_64-linux-gnu/liblua5.2.so.0 <span class="er">(</span><span class="ex">0x00007fbd40286000</span><span class="kw">)</span></span>
<span id="cb4-5"><a href="#cb4-5" aria-hidden="true" tabindex="-1"></a><span class="ex">libm.so.6</span> =<span class="op">&gt;</span> /lib/x86_64-linux-gnu/libm.so.6 <span class="er">(</span><span class="ex">0x00007fbd3ff81000</span><span class="kw">)</span></span>
<span id="cb4-6"><a href="#cb4-6" aria-hidden="true" tabindex="-1"></a><span class="ex">libdl.so.2</span> =<span class="op">&gt;</span> /lib/x86_64-linux-gnu/libdl.so.2 <span class="er">(</span><span class="ex">0x00007fbd3fd7d000</span><span class="kw">)</span></span></code></pre></div></td>
</tr>
<tr class="odd">
<td><p>ldd lua</p></td>
<td><div class="sourceCode" id="cb5"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb5-1"><a href="#cb5-1" aria-hidden="true" tabindex="-1"></a><span class="ex">linux-gate.so.1</span> =<span class="op">&gt;</span>  <span class="er">(</span><span class="ex">0xb77a8000</span><span class="kw">)</span></span>
<span id="cb5-2"><a href="#cb5-2" aria-hidden="true" tabindex="-1"></a><span class="ex">libm.so.6</span> =<span class="op">&gt;</span> /lib/i386-linux-gnu/libm.so.6 <span class="er">(</span><span class="ex">0xb7739000</span><span class="kw">)</span></span>
<span id="cb5-3"><a href="#cb5-3" aria-hidden="true" tabindex="-1"></a><span class="ex">libdl.so.2</span> =<span class="op">&gt;</span> /lib/i386-linux-gnu/libdl.so.2 <span class="er">(</span><span class="ex">0xb7734000</span><span class="kw">)</span></span>
<span id="cb5-4"><a href="#cb5-4" aria-hidden="true" tabindex="-1"></a><span class="ex">libc.so.6</span> =<span class="op">&gt;</span> /lib/i386-linux-gnu/libc.so.6 <span class="er">(</span><span class="ex">0xb7589000</span><span class="kw">)</span></span>
<span id="cb5-5"><a href="#cb5-5" aria-hidden="true" tabindex="-1"></a><span class="ex">/lib/ld-linux.so.2</span> <span class="er">(</span><span class="ex">0xb77a9000</span><span class="kw">)</span></span></code></pre></div></td>
<td><div class="sourceCode" id="cb6"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb6-1"><a href="#cb6-1" aria-hidden="true" tabindex="-1"></a><span class="ex">linux-vdso.so.1</span> =<span class="op">&gt;</span>  <span class="er">(</span><span class="ex">0x00007fff8734a000</span><span class="kw">)</span></span>
<span id="cb6-2"><a href="#cb6-2" aria-hidden="true" tabindex="-1"></a><span class="ex">libm.so.6</span> =<span class="op">&gt;</span> /lib/x86_64-linux-gnu/libm.so.6 <span class="er">(</span><span class="ex">0x00007f3f4ea15000</span><span class="kw">)</span></span>
<span id="cb6-3"><a href="#cb6-3" aria-hidden="true" tabindex="-1"></a><span class="ex">libdl.so.2</span> =<span class="op">&gt;</span> /lib/x86_64-linux-gnu/libdl.so.2 <span class="er">(</span><span class="ex">0x00007f3f4e811000</span><span class="kw">)</span></span>
<span id="cb6-4"><a href="#cb6-4" aria-hidden="true" tabindex="-1"></a><span class="ex">libc.so.6</span> =<span class="op">&gt;</span> /lib/x86_64-linux-gnu/libc.so.6 <span class="er">(</span><span class="ex">0x00007f3f4e448000</span><span class="kw">)</span></span>
<span id="cb6-5"><a href="#cb6-5" aria-hidden="true" tabindex="-1"></a><span class="ex">/lib64/ld-linux-x86-64.so.2</span> <span class="er">(</span><span class="ex">0x00007f3f4ef69000</span><span class="kw">)</span></span></code></pre></div></td>
<td><div class="sourceCode" id="cb7"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb7-1"><a href="#cb7-1" aria-hidden="true" tabindex="-1"></a><span class="ex">linux-gate.so.1</span> =<span class="op">&gt;</span>  <span class="er">(</span><span class="ex">0xb7768000</span><span class="kw">)</span></span>
<span id="cb7-2"><a href="#cb7-2" aria-hidden="true" tabindex="-1"></a><span class="ex">libm.so.6</span> =<span class="op">&gt;</span> /lib/i386-linux-gnu/libm.so.6 <span class="er">(</span><span class="ex">0xb76ef000</span><span class="kw">)</span></span>
<span id="cb7-3"><a href="#cb7-3" aria-hidden="true" tabindex="-1"></a><span class="ex">libdl.so.2</span> =<span class="op">&gt;</span> /lib/i386-linux-gnu/libdl.so.2 <span class="er">(</span><span class="ex">0xb76ea000</span><span class="kw">)</span></span>
<span id="cb7-4"><a href="#cb7-4" aria-hidden="true" tabindex="-1"></a><span class="ex">libc.so.6</span> =<span class="op">&gt;</span> /lib/i386-linux-gnu/libc.so.6 <span class="er">(</span><span class="ex">0xb753f000</span><span class="kw">)</span></span>
<span id="cb7-5"><a href="#cb7-5" aria-hidden="true" tabindex="-1"></a><span class="ex">/lib/ld-linux.so.2</span> <span class="er">(</span><span class="ex">0xb7769000</span><span class="kw">)</span></span></code></pre></div></td>
<td><div class="sourceCode" id="cb8"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb8-1"><a href="#cb8-1" aria-hidden="true" tabindex="-1"></a><span class="ex">linux-vdso.so.1</span> =<span class="op">&gt;</span>  <span class="er">(</span><span class="ex">0x00007fffd3dfe000</span><span class="kw">)</span></span>
<span id="cb8-2"><a href="#cb8-2" aria-hidden="true" tabindex="-1"></a><span class="ex">libm.so.6</span> =<span class="op">&gt;</span> /lib/x86_64-linux-gnu/libm.so.6 <span class="er">(</span><span class="ex">0x00007f344a4ca000</span><span class="kw">)</span></span>
<span id="cb8-3"><a href="#cb8-3" aria-hidden="true" tabindex="-1"></a><span class="ex">libdl.so.2</span> =<span class="op">&gt;</span> /lib/x86_64-linux-gnu/libdl.so.2 <span class="er">(</span><span class="ex">0x00007f344a2c6000</span><span class="kw">)</span></span>
<span id="cb8-4"><a href="#cb8-4" aria-hidden="true" tabindex="-1"></a><span class="ex">libc.so.6</span> =<span class="op">&gt;</span> /lib/x86_64-linux-gnu/libc.so.6 <span class="er">(</span><span class="ex">0x00007f3449efd000</span><span class="kw">)</span></span>
<span id="cb8-5"><a href="#cb8-5" aria-hidden="true" tabindex="-1"></a><span class="ex">/lib64/ld-linux-x86-64.so.2</span> <span class="er">(</span><span class="ex">0x00007f344aa24000</span><span class="kw">)</span></span></code></pre></div></td>
</tr>
<tr class="even">
<td><p>readelf -d jnlua</p></td>
<td><div class="sourceCode" id="cb9"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb9-1"><a href="#cb9-1" aria-hidden="true" tabindex="-1"></a><span class="ex">0x00000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [libc.so.6]</span>
<span id="cb9-2"><a href="#cb9-2" aria-hidden="true" tabindex="-1"></a><span class="ex">0x00000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [liblua5.1.so.0]</span>
<span id="cb9-3"><a href="#cb9-3" aria-hidden="true" tabindex="-1"></a><span class="ex">0x0000000e</span> <span class="er">(</span><span class="ex">SONAME</span><span class="kw">)</span> <span class="ex">Librairie</span> soname: [libjnlua5.1.so]</span></code></pre></div></td>
<td><div class="sourceCode" id="cb10"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb10-1"><a href="#cb10-1" aria-hidden="true" tabindex="-1"></a><span class="ex">0x0000000000000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [libc.so.6]</span>
<span id="cb10-2"><a href="#cb10-2" aria-hidden="true" tabindex="-1"></a><span class="ex">0x0000000000000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [liblua5.1.so.0]</span>
<span id="cb10-3"><a href="#cb10-3" aria-hidden="true" tabindex="-1"></a><span class="ex">0x000000000000000e</span> <span class="er">(</span><span class="ex">SONAME</span><span class="kw">)</span> <span class="ex">Librairie</span> soname: [libjnlua5.1.so]</span></code></pre></div></td>
<td><div class="sourceCode" id="cb11"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb11-1"><a href="#cb11-1" aria-hidden="true" tabindex="-1"></a><span class="ex">0x00000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [libc.so.6]</span>
<span id="cb11-2"><a href="#cb11-2" aria-hidden="true" tabindex="-1"></a><span class="ex">0x00000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [ld-linux.so.2]</span>
<span id="cb11-3"><a href="#cb11-3" aria-hidden="true" tabindex="-1"></a><span class="ex">0x00000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [liblua5.2.so.0]</span>
<span id="cb11-4"><a href="#cb11-4" aria-hidden="true" tabindex="-1"></a><span class="ex">0x0000000e</span> <span class="er">(</span><span class="ex">SONAME</span><span class="kw">)</span> <span class="ex">Librairie</span> soname: [libjnlua52.so]</span></code></pre></div></td>
<td><div class="sourceCode" id="cb12"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb12-1"><a href="#cb12-1" aria-hidden="true" tabindex="-1"></a><span class="ex">0x0000000000000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [libc.so.6]</span>
<span id="cb12-2"><a href="#cb12-2" aria-hidden="true" tabindex="-1"></a><span class="ex">0x0000000000000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [ld-linux-x86-64.so.2]</span>
<span id="cb12-3"><a href="#cb12-3" aria-hidden="true" tabindex="-1"></a><span class="ex">0x0000000000000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [liblua5.2.so.0]</span>
<span id="cb12-4"><a href="#cb12-4" aria-hidden="true" tabindex="-1"></a><span class="ex">0x000000000000000e</span> <span class="er">(</span><span class="ex">SONAME</span><span class="kw">)</span> <span class="ex">Librairie</span> soname: [libjnlua52.so]</span></code></pre></div></td>
</tr>
<tr class="odd">
<td><p>readelf -d lua</p></td>
<td><div class="sourceCode" id="cb13"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb13-1"><a href="#cb13-1" aria-hidden="true" tabindex="-1"></a><span class="ex">0x00000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [libm.so.6]</span>
<span id="cb13-2"><a href="#cb13-2" aria-hidden="true" tabindex="-1"></a><span class="ex">0x00000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [libdl.so.2]</span>
<span id="cb13-3"><a href="#cb13-3" aria-hidden="true" tabindex="-1"></a><span class="ex">0x00000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [libc.so.6]</span>
<span id="cb13-4"><a href="#cb13-4" aria-hidden="true" tabindex="-1"></a><span class="ex">0x0000000e</span> <span class="er">(</span><span class="ex">SONAME</span><span class="kw">)</span> <span class="ex">Librairie</span> soname: [liblua5.1.so.0]</span></code></pre></div></td>
<td><div class="sourceCode" id="cb14"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb14-1"><a href="#cb14-1" aria-hidden="true" tabindex="-1"></a><span class="ex">0x0000000000000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [libm.so.6]</span>
<span id="cb14-2"><a href="#cb14-2" aria-hidden="true" tabindex="-1"></a><span class="ex">0x0000000000000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [libdl.so.2]</span>
<span id="cb14-3"><a href="#cb14-3" aria-hidden="true" tabindex="-1"></a><span class="ex">0x0000000000000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [libc.so.6]</span>
<span id="cb14-4"><a href="#cb14-4" aria-hidden="true" tabindex="-1"></a><span class="ex">0x000000000000000e</span> <span class="er">(</span><span class="ex">SONAME</span><span class="kw">)</span> <span class="ex">Librairie</span> soname: [liblua5.1.so.0]</span></code></pre></div></td>
<td><div class="sourceCode" id="cb15"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb15-1"><a href="#cb15-1" aria-hidden="true" tabindex="-1"></a><span class="ex">0x00000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [libm.so.6]</span>
<span id="cb15-2"><a href="#cb15-2" aria-hidden="true" tabindex="-1"></a><span class="ex">0x00000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [libdl.so.2]</span>
<span id="cb15-3"><a href="#cb15-3" aria-hidden="true" tabindex="-1"></a><span class="ex">0x00000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [libc.so.6]</span>
<span id="cb15-4"><a href="#cb15-4" aria-hidden="true" tabindex="-1"></a><span class="ex">0x0000000e</span> <span class="er">(</span><span class="ex">SONAME</span><span class="kw">)</span> <span class="ex">Librairie</span> soname: [liblua5.2.so.0]</span></code></pre></div></td>
<td><div class="sourceCode" id="cb16"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb16-1"><a href="#cb16-1" aria-hidden="true" tabindex="-1"></a><span class="ex">0x0000000000000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [libm.so.6]</span>
<span id="cb16-2"><a href="#cb16-2" aria-hidden="true" tabindex="-1"></a><span class="ex">0x0000000000000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [libdl.so.2]</span>
<span id="cb16-3"><a href="#cb16-3" aria-hidden="true" tabindex="-1"></a><span class="ex">0x0000000000000001</span> <span class="er">(</span><span class="ex">NEEDED</span><span class="kw">)</span> <span class="ex">Librairie</span> partagées: [libc.so.6]</span>
<span id="cb16-4"><a href="#cb16-4" aria-hidden="true" tabindex="-1"></a><span class="ex">0x000000000000000e</span> <span class="er">(</span><span class="ex">SONAME</span><span class="kw">)</span> <span class="ex">Librairie</span> soname: [liblua5.2.so.0]</span></code></pre></div></td>
</tr>
<tr class="even">
<td><p>objdump -p jnlua</p></td>
<td><div class="sourceCode" id="cb17"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb17-1"><a href="#cb17-1" aria-hidden="true" tabindex="-1"></a>  <span class="ex">required</span> from libc.so.6:</span>
<span id="cb17-2"><a href="#cb17-2" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x09691f73</span> 0x00 05 GLIBC_2.1.3</span>
<span id="cb17-3"><a href="#cb17-3" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696914</span> 0x00 04 GLIBC_2.4</span>
<span id="cb17-4"><a href="#cb17-4" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696910</span> 0x00 03 GLIBC_2.0</span>
<span id="cb17-5"><a href="#cb17-5" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x06969191</span> 0x00 02 GLIBC_2.11</span></code></pre></div></td>
<td><div class="sourceCode" id="cb18"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb18-1"><a href="#cb18-1" aria-hidden="true" tabindex="-1"></a>  <span class="ex">required</span> from libc.so.6:</span>
<span id="cb18-2"><a href="#cb18-2" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696914</span> 0x00 04 GLIBC_2.4</span>
<span id="cb18-3"><a href="#cb18-3" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x09691a75</span> 0x00 03 GLIBC_2.2.5</span>
<span id="cb18-4"><a href="#cb18-4" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x06969191</span> 0x00 02 GLIBC_2.11</span></code></pre></div></td>
<td><div class="sourceCode" id="cb19"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb19-1"><a href="#cb19-1" aria-hidden="true" tabindex="-1"></a>  <span class="ex">required</span> from ld-linux.so.2:</span>
<span id="cb19-2"><a href="#cb19-2" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696913</span> 0x00 03 GLIBC_2.3</span>
<span id="cb19-3"><a href="#cb19-3" aria-hidden="true" tabindex="-1"></a>  <span class="ex">required</span> from libc.so.6:</span>
<span id="cb19-4"><a href="#cb19-4" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x09691f73</span> 0x00 05 GLIBC_2.1.3</span>
<span id="cb19-5"><a href="#cb19-5" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696914</span> 0x00 04 GLIBC_2.4</span>
<span id="cb19-6"><a href="#cb19-6" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696910</span> 0x00 02 GLIBC_2.0</span></code></pre></div></td>
<td><div class="sourceCode" id="cb20"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb20-1"><a href="#cb20-1" aria-hidden="true" tabindex="-1"></a>  <span class="ex">required</span> from ld-linux-x86-64.so.2:</span>
<span id="cb20-2"><a href="#cb20-2" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696913</span> 0x00 04 GLIBC_2.3</span>
<span id="cb20-3"><a href="#cb20-3" aria-hidden="true" tabindex="-1"></a>  <span class="ex">required</span> from libc.so.6:</span>
<span id="cb20-4"><a href="#cb20-4" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x06969194</span> 0x00 05 GLIBC_2.14</span>
<span id="cb20-5"><a href="#cb20-5" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696914</span> 0x00 03 GLIBC_2.4</span>
<span id="cb20-6"><a href="#cb20-6" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x09691a75</span> 0x00 02 GLIBC_2.2.5</span></code></pre></div></td>
</tr>
<tr class="odd">
<td><p>objdump -p lua</p></td>
<td><div class="sourceCode" id="cb21"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb21-1"><a href="#cb21-1" aria-hidden="true" tabindex="-1"></a>  <span class="ex">required</span> from libdl.so.2:</span>
<span id="cb21-2"><a href="#cb21-2" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696911</span> 0x00 10 GLIBC_2.1</span>
<span id="cb21-3"><a href="#cb21-3" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696910</span> 0x00 08 GLIBC_2.0</span>
<span id="cb21-4"><a href="#cb21-4" aria-hidden="true" tabindex="-1"></a>  <span class="ex">required</span> from libc.so.6:</span>
<span id="cb21-5"><a href="#cb21-5" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x09691f73</span> 0x00 12 GLIBC_2.1.3</span>
<span id="cb21-6"><a href="#cb21-6" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696914</span> 0x00 11 GLIBC_2.4</span>
<span id="cb21-7"><a href="#cb21-7" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696913</span> 0x00 09 GLIBC_2.3</span>
<span id="cb21-8"><a href="#cb21-8" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696917</span> 0x00 07 GLIBC_2.7</span>
<span id="cb21-9"><a href="#cb21-9" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x09691974</span> 0x00 06 GLIBC_2.3.4</span>
<span id="cb21-10"><a href="#cb21-10" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696912</span> 0x00 05 GLIBC_2.2</span>
<span id="cb21-11"><a href="#cb21-11" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696911</span> 0x00 04 GLIBC_2.1</span>
<span id="cb21-12"><a href="#cb21-12" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696910</span> 0x00 03 GLIBC_2.0</span>
<span id="cb21-13"><a href="#cb21-13" aria-hidden="true" tabindex="-1"></a>  <span class="ex">required</span> from libm.so.6:</span>
<span id="cb21-14"><a href="#cb21-14" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696910</span> 0x00 02 GLIBC_2.0</span></code></pre></div></td>
<td><div class="sourceCode" id="cb22"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb22-1"><a href="#cb22-1" aria-hidden="true" tabindex="-1"></a>  <span class="ex">required</span> from libdl.so.2:</span>
<span id="cb22-2"><a href="#cb22-2" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696911</span> 0x00 13 GLIBC_2.1</span>
<span id="cb22-3"><a href="#cb22-3" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696910</span> 0x00 08 GLIBC_2.0</span>
<span id="cb22-4"><a href="#cb22-4" aria-hidden="true" tabindex="-1"></a>  <span class="ex">required</span> from libm.so.6:</span>
<span id="cb22-5"><a href="#cb22-5" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696910</span> 0x00 03 GLIBC_2.0</span>
<span id="cb22-6"><a href="#cb22-6" aria-hidden="true" tabindex="-1"></a>  <span class="ex">required</span> from libc.so.6:</span>
<span id="cb22-7"><a href="#cb22-7" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696912</span> 0x00 12 GLIBC_2.2</span>
<span id="cb22-8"><a href="#cb22-8" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x06969191</span> 0x00 11 GLIBC_2.11</span>
<span id="cb22-9"><a href="#cb22-9" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x09691974</span> 0x00 10 GLIBC_2.3.4</span>
<span id="cb22-10"><a href="#cb22-10" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x09691f73</span> 0x00 09 GLIBC_2.1.3</span>
<span id="cb22-11"><a href="#cb22-11" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696914</span> 0x00 07 GLIBC_2.4</span>
<span id="cb22-12"><a href="#cb22-12" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696911</span> 0x00 06 GLIBC_2.1</span>
<span id="cb22-13"><a href="#cb22-13" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696917</span> 0x00 05 GLIBC_2.7</span>
<span id="cb22-14"><a href="#cb22-14" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696910</span> 0x00 04 GLIBC_2.0</span>
<span id="cb22-15"><a href="#cb22-15" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696913</span> 0x00 02 GLIBC_2.3</span></code></pre></div></td>
<td><div class="sourceCode" id="cb23"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb23-1"><a href="#cb23-1" aria-hidden="true" tabindex="-1"></a>  <span class="ex">required</span> from libdl.so.2:</span>
<span id="cb23-2"><a href="#cb23-2" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x09691a75</span> 0x00 07 GLIBC_2.2.5</span>
<span id="cb23-3"><a href="#cb23-3" aria-hidden="true" tabindex="-1"></a>  <span class="ex">required</span> from libc.so.6:</span>
<span id="cb23-4"><a href="#cb23-4" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696914</span> 0x00 08 GLIBC_2.4</span>
<span id="cb23-5"><a href="#cb23-5" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696913</span> 0x00 06 GLIBC_2.3</span>
<span id="cb23-6"><a href="#cb23-6" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696917</span> 0x00 05 GLIBC_2.7</span>
<span id="cb23-7"><a href="#cb23-7" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x09691974</span> 0x00 04 GLIBC_2.3.4</span>
<span id="cb23-8"><a href="#cb23-8" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x09691a75</span> 0x00 03 GLIBC_2.2.5</span>
<span id="cb23-9"><a href="#cb23-9" aria-hidden="true" tabindex="-1"></a>  <span class="ex">required</span> from libm.so.6:</span>
<span id="cb23-10"><a href="#cb23-10" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x09691a75</span> 0x00 02 GLIBC_2.2.5</span></code></pre></div></td>
<td><div class="sourceCode" id="cb24"><pre class="sourceCode bash"><code class="sourceCode bash"><span id="cb24-1"><a href="#cb24-1" aria-hidden="true" tabindex="-1"></a>  <span class="ex">required</span> from libdl.so.2:</span>
<span id="cb24-2"><a href="#cb24-2" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x09691a75</span> 0x00 09 GLIBC_2.2.5</span>
<span id="cb24-3"><a href="#cb24-3" aria-hidden="true" tabindex="-1"></a>  <span class="ex">required</span> from libm.so.6:</span>
<span id="cb24-4"><a href="#cb24-4" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x09691a75</span> 0x00 04 GLIBC_2.2.5</span>
<span id="cb24-5"><a href="#cb24-5" aria-hidden="true" tabindex="-1"></a>  <span class="ex">required</span> from libc.so.6:</span>
<span id="cb24-6"><a href="#cb24-6" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x06969191</span> 0x00 10 GLIBC_2.11</span>
<span id="cb24-7"><a href="#cb24-7" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x06969194</span> 0x00 08 GLIBC_2.14</span>
<span id="cb24-8"><a href="#cb24-8" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x09691974</span> 0x00 07 GLIBC_2.3.4</span>
<span id="cb24-9"><a href="#cb24-9" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696914</span> 0x00 06 GLIBC_2.4</span>
<span id="cb24-10"><a href="#cb24-10" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696917</span> 0x00 05 GLIBC_2.7</span>
<span id="cb24-11"><a href="#cb24-11" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x09691a75</span> 0x00 03 GLIBC_2.2.5</span>
<span id="cb24-12"><a href="#cb24-12" aria-hidden="true" tabindex="-1"></a>    <span class="ex">0x0d696913</span> 0x00 02 GLIBC_2.3</span></code></pre></div></td>
</tr>
<tr class="even">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
</tbody>
</table>